textures/ef_blitzkrieg/bk_skybox
{
	qer_editorimage textures/ef_blitzkrieg/bk_sky_dn.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
    	q3map_sunExt 1 1 1 100 160 120 3 16
	q3map_lightmapFilterRadius 0 64	
	q3map_skylight 100 3
	q3map_backsplash 0 0
	skyparms textures/ef_blitzkrieg/bk_sky - -
}

textures/ef_blitzkrieg/flare001
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap textures/ef_blitzkrieg/flare001
		blendFunc GL_ONE GL_ONE
	}
}

textures/ef_blitzkrieg/lightbulb
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none

	{
		clampmap textures/ef_blitzkrieg/lightbulb.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ef_blitzkrieg/bk_decal16
{
	surfaceparm trans
   	cull none
   	nopicmip
	{
      		map textures/ef_blitzkrieg/bk_decal16.tga
      		tcMod scale 1 1
      		blendFunc GL_ONE GL_ZERO
      		alphaFunc GE128
      		depthWrite
      		rgbGen identity
   	}
   	{
      		map $lightmap
      		rgbGen identity
     		blendFunc GL_DST_COLOR GL_ZERO
      		depthFunc equal
      	}
}

textures/ef_blitzkrieg/bk_decal17
{
	surfaceparm trans
   	cull none
   	nopicmip
	{
		map textures/ef_blitzkrieg/bk_decal17.tga
		tcMod scale 1 1
      		blendFunc GL_ONE GL_ZERO
      		alphaFunc GE128
      		depthWrite
      		rgbGen identity
   	}
   	{
      		map $lightmap
      		rgbGen identity
     		blendFunc GL_DST_COLOR GL_ZERO
      		depthFunc equal
      	}
}

textures/ef_blitzkrieg/naziflag
{
        	cull disable
        	surfaceparm nolightmap
        	surfaceparm nonsolid
        	surfaceparm alphashadow
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
	{
		map textures/ef_blitzkrieg/naziflag.tga
                 		blendfunc gl_src_alpha gl_one_minus_src_alpha
                		alphaFunc GE128
                		rgbGen vertex
	}
}

textures/ef_blitzkrieg/bk_oldclock
{
	surfaceparm trans
   	cull none
   	nopicmip
   	{
		map textures/ef_blitzkrieg/bk_oldclock.tga
		tcMod scale 1 1
      		blendFunc GL_ONE GL_ZERO
      		alphaFunc GE128
      		depthWrite
      		rgbGen identity
   	}
   	{
      		map $lightmap
      		rgbGen identity
      		blendFunc GL_DST_COLOR GL_ZERO
      		depthFunc equal
	}
}

models/mapobjects/ef_blitzkrieg/oaktree2_leaf
{
	surfaceparm alphashadow
	cull none  
	nopicmip 
	q3map_vertexscale 2
	deformVertexes wave 10 sin 0 2 0 0.2
	{
		map models/mapobjects/ef_blitzkrieg/oaktree2_leaf.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{ 
		map $lightmap
		rgbGen identity 
		blendFunc filter 
		depthFunc equal 
	}
}

models/mapobjects/ef_blitzkrieg/oaktree2_leaf2
{
	surfaceparm alphashadow
	cull none  
	nopicmip 
	q3map_vertexscale 2
	deformVertexes wave 10 sin 0 2 0 0.2
	{
		map models/mapobjects/ef_blitzkrieg/oaktree2_leaf2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{ 
		map $lightmap
		rgbGen identity 
		blendFunc filter 
		depthFunc equal 
	}
}

models/mapobjects/ef_blitzkrieg/oaktree2_leaf2/oaktree2_trunk
{
	qer_editorimage models/mapobjects/ef_blitzkrieg/oaktree2_trunk.tga
	{
		map models/mapobjects/ef_blitzkrieg/oaktree2_trunk.tga
	}
}

textures/ef_blitzkrieg/hafblen1
{
	qer_editorimage textures/ef_blitzkrieg/blens1.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/ef_blitzkrieg/blens3lm.tga
	}
	{
		map textures/ef_blitzkrieg/blens1.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_blitzkrieg/hafblen2
{
	qer_editorimage textures/ef_blitzkrieg/blens3lm.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/ef_blitzkrieg/blens3lm.tga
	}
	{
		map textures/ef_blitzkrieg/blens3lm.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_blitzkrieg/hafblen3
{
	qer_editorimage textures/ef_blitzkrieg/blens3.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/ef_blitzkrieg/blens3lm.tga
	}
	{
		map textures/ef_blitzkrieg/blens3.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_blitzkrieg/hafblen4
{
	qer_editorimage textures/ef_blitzkrieg/blens4.tga
	q3map_shadeangle 90
	q3map_nonplanar
	{
		map textures/ef_blitzkrieg/blens3lm.tga
	}
	{
		map textures/ef_blitzkrieg/blens4.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_blitzkrieg/sn_fence1
{
	qer_editorimage textures/ef_blitzkrieg/sn_fence1.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/ef_blitzkrieg/sn_fence1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_blitzkrieg/hafbk2_fence1
{ 
	qer_editorimage textures/ef_blitzkrieg/hafbk2_fence1.tga
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	{ 	
		map textures/ef_blitzkrieg/hafbk2_fence1.tga
   		alphaFunc GE128  
   		depthwrite
		rgbGen identity   
	} 
	{
		map $lightmap 
		depthFunc equal
		rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_blitzkrieg/hafbk2_fence2
{ 
	qer_editorimage textures/ef_blitzkrieg/hafbk2_fence2.tga
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	{ 	
		map textures/ef_blitzkrieg/hafbk2_fence2.tga
   		alphaFunc GE128  
   		depthwrite
		rgbGen identity   
	} 
	{
		map $lightmap 
		depthFunc equal
		rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/ef_blitzkrieg/hafbk2_stuff1
{ 
	qer_editorimage textures/ef_blitzkrieg/hafbk2_stuff1.tga
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	{ 
            		map textures/ef_blitzkrieg/hafbk2_stuff1.tga
   		alphaFunc GE128  
   		depthwrite
		rgbGen identity   
	} 
	{
		map $lightmap 
		depthFunc equal
		rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_blitzkrieg/hafbk2_stuff4
{ 
	qer_editorimage textures/ef_blitzkrieg/hafbk2_stuff4.tga
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	{ 
            		map textures/ef_blitzkrieg/hafbk2_stuff4.tga
   		alphaFunc GE128 
   		depthwrite
		rgbGen identity   
	} 
	{
		map $lightmap 
		depthFunc equal
		rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_blitzkrieg/hafbk2_stuff55
{ 
	qer_editorimage textures/ef_blitzkrieg/hafbk2_stuff55.tga
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	{ 
		map textures/ef_blitzkrieg/hafbk2_stuff55.tga
   		alphaFunc GE128  
   		depthwrite
		rgbGen identity   
	} 
	{
		map $lightmap 
		depthFunc equal
		rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_blitzkrieg/hafbk2_stuff56
{ 
	qer_editorimage textures/ef_blitzkrieg/hafbk2_stuff56.tga
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	{ 
		map textures/ef_blitzkrieg/hafbk2_stuff56.tga
   		alphaFunc GE128  
   		depthwrite
		rgbGen identity   
	} 
	{
		map $lightmap 
		depthFunc equal
		rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ef_blitzkrieg/hafnats2
{	
    	surfaceparm alphashadow
	surfaceparm detail
        	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nodlight
    	cull none
	nopicmip
	{
		map textures/ef_blitzkrieg/hafnats2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_blitzkrieg/hafnats4
{	
    	surfaceparm alphashadow
	surfaceparm detail
       	 surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nodlight
    	cull none
	nopicmip
	{
		map textures/ef_blitzkrieg/hafnats4.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_blitzkrieg/alpha_050
{
	qer_editorimage textures/ef_blitzkrieg/alpha_050
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

models/mapobjects/ef_blitzkrieg/wheel_a_s
{
	qer_alphafunc gequal 0.5
	qer_editorimage models/mapobjects/ef_blitzkrieg/wheel_a_s.tga
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	cull none
	{
		map models/mapobjects/ef_blitzkrieg/wheel_a_s.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}

models/mapobjects/ef_blitzkrieg/tracks_b
{
	qer_editorimage models/mapobjects/ef_blitzkrieg/tracks_b.tga
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	cull none
	{
		map models/mapobjects/ef_blitzkrieg/tracks_b.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}

models/mapobjects/ef_blitzkrieg/wheel2_a
{
	qer_alphafunc gequal 0.5
	qer_editorimage models/mapobjects/ef_blitzkrieg/wheel2_a.tga
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	cull none
	{
		map models/mapobjects/ef_blitzkrieg/wheel2_a.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}

models/mapobjects/ef_blitzkrieg/wheel_b
{
	qer_alphafunc gequal 0.5
	qer_editorimage models/mapobjects/ef_blitzkrieg/wheel_b.tga
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	cull none
	{
		map models/mapobjects/ef_blitzkrieg/wheel_b.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}

textures/ef_blitzkrieg/botclip
{
	qer_trans 0.40
	qer_editorimage textures/common/botclip.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm botclip
	surfaceparm noimpact
	surfaceparm trans
}